Subject: Re: [bitcoin-dev] Draft-BIP: Ordinal Numbers

From: Casey Rodarmor <[email-masked]>
Date: Thu, 24 Feb 2022 13:02:05 -0800

> When we talk about future improvements, there could be even bigger
problem with ordinal numbers: what if/when we introduce some Monero-like
system and hide coin amounts? (for example by using zero satoshi, because
we have to use something that will be backward-compatible). Zero is quite
interesting amount, because it means "skip amount checking for old
clients". That can be used in many ways to introduce many protocols (and
also to add fractional satoshis on-chain, because 0.4 satoshis could be
represented as zero), so if that amounts will be simply ignored, then I
wonder how it would be possible to connect some future protocol based on
that with ordinal numbers.

Ordinal numbers are inherently public, so it seems reasonable that they
don't work with transactions that are private or have obfuscated values.